Mock Nodes
C Reference » Production Nodes Functionality

## Functions

XN_C_API XnStatus XN_C_DECL | xnMockDepthSetData (XnNodeHandle hInstance, XnUInt32 nFrameID, XnUInt64 nTimestamp, XnUInt32 nDataSize, const XnDepthPixel *pData)
XN_C_API XnStatus XN_C_DECL | xnMockImageSetData (XnNodeHandle hInstance, XnUInt32 nFrameID, XnUInt64 nTimestamp, XnUInt32 nDataSize, const XnUInt8 *pData)
XN_C_API XnStatus XN_C_DECL | xnMockIRSetData (XnNodeHandle hInstance, XnUInt32 nFrameID, XnUInt64 nTimestamp, XnUInt32 nDataSize, const XnIRPixel *pData)
XN_C_API XnStatus XN_C_DECL | xnMockAudioSetData (XnNodeHandle hInstance, XnUInt32 nFrameID, XnUInt64 nTimestamp, XnUInt32 nDataSize, const XnUInt8 *pData)
XN_C_API XnStatus XN_C_DECL | xnMockRawSetData (XnNodeHandle hInstance, XnUInt32 nFrameID, XnUInt64 nTimestamp, XnUInt32 nDataSize, const void *pData)

## Detailed Description

## Function Documentation

## xnMockAudioSetData()

XN_C_API XnStatus XN_C_DECL xnMockAudioSetData | ( | XnNodeHandle | hInstance,
|  | XnUInt32 | nFrameID,
|  | XnUInt64 | nTimestamp,
|  | XnUInt32 | nDataSize,
|  | const XnUInt8 * | pData )

## xnMockDepthSetData()

XN_C_API XnStatus XN_C_DECL xnMockDepthSetData | ( | XnNodeHandle | hInstance,
|  | XnUInt32 | nFrameID,
|  | XnUInt64 | nTimestamp,
|  | XnUInt32 | nDataSize,
|  | const XnDepthPixel * | pData )

## xnMockImageSetData()

XN_C_API XnStatus XN_C_DECL xnMockImageSetData | ( | XnNodeHandle | hInstance,
|  | XnUInt32 | nFrameID,
|  | XnUInt64 | nTimestamp,
|  | XnUInt32 | nDataSize,
|  | const XnUInt8 * | pData )

## xnMockIRSetData()

XN_C_API XnStatus XN_C_DECL xnMockIRSetData | ( | XnNodeHandle | hInstance,
|  | XnUInt32 | nFrameID,
|  | XnUInt64 | nTimestamp,
|  | XnUInt32 | nDataSize,
|  | const XnIRPixel * | pData )

## xnMockRawSetData()

XN_C_API XnStatus XN_C_DECL xnMockRawSetData | ( | XnNodeHandle | hInstance,
|  | XnUInt32 | nFrameID,
|  | XnUInt64 | nTimestamp,
|  | XnUInt32 | nDataSize,
|  | const void * | pData )